package cn.reghao.autodop.dagent.rpc.impl;

import cn.reghao.autodop.common.docker.Docker;
import cn.reghao.autodop.common.msg.rpc.RpcPayload;
import cn.reghao.autodop.common.msg.rpc.RpcResult;
import cn.reghao.autodop.common.msg.rpc.clazz.DockerRpcClazz;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author reghao
 * @date 2020-12-30 10:26:47
 */
@Slf4j
@Component
public class DockerClazzRpcImpl {
    private Docker docker;

    public DockerClazzRpcImpl() {
        //this.docker = new Docker();
    }
    
    public RpcResult process(RpcPayload rpcPayload) {
        String method = rpcPayload.getMethod();
        String jsonParam = rpcPayload.getJsonParam();
        switch (DockerRpcClazz.valueOf(method)) {
            case dockerImage:
            default:
        }

        return null;
    }
}
